%%
%% This is file `faxlabri.cls',
%% I don't use yet the docstrip utility.
%% ********************************************************************
%% Copyright (C) 2003 Vincent Danjean
%% ********************************************************************
 
\def\filedate{2003/10/06}
\def\rulesversion{0.0.1}
\NeedsTeXFormat{LaTeX2e}[1996/12/01]
\ProvidesClass{faxlabri}
       [\filedate\space v\rulesversion\space
        Rules Class File, Copyright VD 2003]
%\ExecuteOptions{normalsize,final}
%\DeclareOption{normalsize}{\def\luxsiz@{10pt}}
%\ExecuteOptions{normalsize}
\DeclareOption*{\PassOptionsToClass{\CurrentOption}{article}}
\ProcessOptions\relax
\LoadClass{report}

\usepackage{fullpage}


\def\FL@listparam{}
\newcommand{\FL@verify}{
  \@for \FL@name:=\FL@listparam \do{%
    \expandafter\ifx\csname FL@paramDef\FL@name\endcsname \@empty
    \ClassWarning{faxlabri}{no
      \expandafter\string\csname\FL@name\endcsname{} nor 
      \expandafter\string\csname no\FL@name\endcsname{} used}
    %\else%
    %\ClassWarning{faxlabri}{%
    %  \expandafter\string\csname\FL@name\endcsname{} set to 
    %  '\FL@getparam{\FL@name}'}    
    \fi%
  }%
}%

\def\FL@arg#1{%
  \expandafter\def\csname FL@paramDef#1\endcsname{}%
  \expandafter\def\csname FL@paramText#1\endcsname{}%
  \expandafter\newcommand\csname #1\endcsname[1]{%
    \def\FL@name{#1}%
    \expandafter\def\csname FL@paramDef\FL@name\endcsname{1}%
    \expandafter\def\csname FL@paramText\FL@name\endcsname{##1}%
  }
  \ifx\@empty\FL@listparam%
  \def\FL@listparam{#1}
  \else%
  \expandafter\def\expandafter\FL@listparam\expandafter{\FL@listparam,#1}
  \fi%
}

\def\FL@getparam#1{%
  \csname FL@paramText#1\endcsname%
}

\FL@arg{from}%
\FL@arg{poste}%
\FL@arg{email}%
\FL@arg{numfax}%
\FL@arg{dest}%
\FL@arg{address}%
\FL@arg{pages}%

\newcommand{\fax}[1]{%
  \newlength{\FL@parindent}
  \setlength{\FL@parindent}{\parindent}
  %\let\FL@parindent=\parindent
  %\PackageWarning{fax}{\show\parindent}
  \FL@verify%
  \newpage
  \thispagestyle{empty}
  \noindent
  \begin{center}
  \fbox{%
    \def\fboxrule{2pt}
    \fbox{
      \begin{minipage}[c][5cm][c]{0.44\linewidth}
        \begin{center}
          \vfill
          \huge LaBRI\\
          \Large \textbf{La}boratoire \textbf{B}ordelais \\
          de \textbf{R}echerche en \textbf{I}nformatique \\
          \textbf{Universit\'e Bordeaux I} \\
          \large 351, Cours de la Libration \\
          \large \textbf{33405 TALENCE} Cedex France
          \vfill
        \end{center}
        \large \textbf{T\'el\'ecopie/Fax : (+33) 5 40 00 66 69}
        \vspace*{\fill}
      \end{minipage}
    }~\fbox{      
      \begin{minipage}[c][5cm][c]{0.44\linewidth}
        \vfill
        \begin{center}
          \Large Emetteur / From \\
        \end{center}
        \vfill
        \begin{minipage}[c][2cm]{\linewidth}
          \Large \FL@getparam{from}
        \end{minipage}
        \vfill
        \large \textbf{T\'el\'ephone (+33) 5 40 00
          \FL@getparam{poste}}
        \vfill
        e.mail~: \FL@getparam{email}\\
        \vspace*{\fill}
      \end{minipage}
    }
  }

  \vspace{0.5cm}
  \noindent
  \fbox{%
    \def\fboxrule{2pt}
    \fbox{%
      \begin{minipage}[c][3cm][c]{0.94\linewidth}
        \vfill
        \begin{center}
          \Large \textbf{Destinataire / To}
        \end{center} 
        \vfill
        \begin{minipage}[c][1cm]{\linewidth}
          \Large
          ~~\FL@getparam{dest}
        \end{minipage}
        \vfill
        \begin{minipage}[c][1cm]{\linewidth}
          \large
          ~~\textbf{Adresse / Address~:~}\FL@getparam{address}
        \end{minipage}
      \end{minipage}
    }    
  }

  \vspace{0.5cm}
  \noindent
  \fbox{%
    \def\fboxrule{2pt}
    \fbox{
      \begin{minipage}[c][1.5cm][c]{0.54\linewidth}
        \vfill
        \begin{center}
          \Large \textbf{T\'el\'ecopie / Fax} \\
        \end{center}
        ~~\large \textbf{N$^0$ } \FL@getparam{numfax}
        \vspace*{\fill}
        \vspace*{\fill}
      \end{minipage}
    }~\fbox{      
      \begin{minipage}[c][1.5cm][c]{0.34\linewidth}
        \vfill
        \begin{center}
          \Large \textbf{Nombre de pages} \\
        \end{center}
        ~~\large$1+\FL@getparam{pages}$
        \vspace*{\fill}
        \vspace*{\fill}
      \end{minipage}
    }
  }

  \enlargethispage{2cm}
  \vspace{0.5cm}
  \noindent
  \fbox{%
    %\def\fboxrule{2pt}
    \fbox{
      \begin{minipage}[c][10cm]{0.94\linewidth}
        \setlength{\parindent}{\FL@parindent}
        \vspace{1cm}
        \noindent \large \textbf{Message~:}~%
        #1
        \vspace*{\fill}
      \end{minipage}
    }
  }
  \end{center}
}


\newif\if@allbook\@allbookfalse
\let\documentORI=\document
\let\enddocumentORI=\enddocument
\def\allbook{%
  \@allbooktrue%
  \renewcommand{\documentclass}[2][]{}
  \def\document{}
  \def\enddocument{}
}
\def\endallbook{%
  \@allbookfalse%
}
\def\prevchapter#1{\if@allbook\else\setcounter{chapter}{#1}\fi}

